OpenJPH: ojph::local::CT_CNST Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::CT_CNST Struct Reference

`#include <ojph_colour_local.h>`

## Static Public Attributes
static const float | ALPHA_RF = 0.299f
static const float | ALPHA_GF = 0.587f
static const float | ALPHA_BF = 0.114f
static const float | BETA_CbF = float(0.5/(1-double(CT_CNST::ALPHA_BF)))
static const float | BETA_CrF = float(0.5/(1-double(CT_CNST::ALPHA_RF)))
static const float | GAMMA_CR2R = float(2.0 * (1.0 - double(ALPHA_RF)))
static const float | GAMMA_CB2B = float(2.0 * (1.0 - double(ALPHA_BF)))
static const float | GAMMA_CR2G
static const float | GAMMA_CB2G

## Detailed Description

Definition at line 45 of file ojph_colour_local.h.

## Member Data Documentation

## ◆ ALPHA_BF

const float ojph::local::CT_CNST::ALPHA_BF = 0.114f
| static

Definition at line 50 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_forward(), and ojph::local::wasm_ict_forward().

## ◆ ALPHA_GF

const float ojph::local::CT_CNST::ALPHA_GF = 0.587f
| static

Definition at line 49 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_forward(), and ojph::local::wasm_ict_forward().

## ◆ ALPHA_RF

const float ojph::local::CT_CNST::ALPHA_RF = 0.299f
| static

Definition at line 48 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_forward(), and ojph::local::wasm_ict_forward().

## ◆ BETA_CbF

const float ojph::local::CT_CNST::BETA_CbF = float(0.5/(1-double(CT_CNST::ALPHA_BF)))
| static

Definition at line 51 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_forward(), and ojph::local::wasm_ict_forward().

## ◆ BETA_CrF

const float ojph::local::CT_CNST::BETA_CrF = float(0.5/(1-double(CT_CNST::ALPHA_RF)))
| static

Definition at line 52 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_forward(), and ojph::local::wasm_ict_forward().

## ◆ GAMMA_CB2B

const float ojph::local::CT_CNST::GAMMA_CB2B = float(2.0 * (1.0 - double(ALPHA_BF)))
| static

Definition at line 54 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_backward(), and ojph::local::wasm_ict_backward().

## ◆ GAMMA_CB2G

const float ojph::local::CT_CNST::GAMMA_CB2G
| static

Initial value:
=
float(2.0*double(ALPHA_BF)*(1.0-double(ALPHA_BF))/double(ALPHA_GF))
ojph::local::CT_CNST::ALPHA_BF
static const float ALPHA_BF
Definition ojph_colour_local.h:50
ojph::local::CT_CNST::ALPHA_GF
static const float ALPHA_GF
Definition ojph_colour_local.h:49

Definition at line 56 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_backward(), and ojph::local::wasm_ict_backward().

## ◆ GAMMA_CR2G

const float ojph::local::CT_CNST::GAMMA_CR2G
| static

Initial value:
=
float(2.0*double(ALPHA_RF)*(1.0-double(ALPHA_RF))/double(ALPHA_GF))
ojph::local::CT_CNST::ALPHA_RF
static const float ALPHA_RF
Definition ojph_colour_local.h:48

Definition at line 55 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_backward(), and ojph::local::wasm_ict_backward().

## ◆ GAMMA_CR2R

const float ojph::local::CT_CNST::GAMMA_CR2R = float(2.0 * (1.0 - double(ALPHA_RF)))
| static

Definition at line 53 of file ojph_colour_local.h.

Referenced by ojph::local::gen_ict_backward(), and ojph::local::wasm_ict_backward().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/transform/ojph_colour_local.h
- /build/openjph/src/OpenJPH/src/core/transform/ojph_colour.cpp